体验WDCP V3.2版本支持多PHP版本共存和SSL功能设置

  1. 网友热度 19,108 ℃ - 2条评论
  2. 标签:, ,

诚然,早年互联网上是出现过很多不错的Linux WEB面板,且对于新入门的VPS、服务器用户能够较快的入门提供不小的帮助。但是由于各种的愿意,很多免费面板都陆续不再更新、也有开始转向收费模式,当然更不缺少各种新面板的出现。不清楚是出于用户的需求,还是看到最近国内有面板做的人气较好,已经好久不见动静的WDCP面板又进行升级。

从原来的2.5升级到后来的3.1还是不错的,基本上可以满足较新软件的使用,但是在有些辅助工具上还是比较欠缺,比如有些站长希望不同的PHP版本共存,因为很多CMS程序只能特定的PHP版本兼容,以及SSL证书安装的便捷在老版本的WDCP面板是没有的。老左看到有人提到这次更新增加了这两项功能,所以准备安装到测试机看看。

第一、正常安装全新V3.2版本

yum install -y wget
wget http://dl.wdlinux.cn/files/lanmp_v3.2.tar.gz
tar zxvf lanmp_v3.2.tar.gz
sh lanmp.sh

根据组合策略,默认是安装的nginx-1.8.1、apache-2.2.31、mysql-5.5.54、php-5.5.38软件。这里直接用官方提供的默认安装试试。对于后面多PHP版本如何安装,后面在看。其实还提供自定义软件安装,将上面脚本最后一行换成。

sh lanmp.sh cus

这样就可以看到自定义安装模式,可以选择需要的软件版本和组合。

正常安装全新V3.2版本

这里老左就不用自定义安装,直接默认安装看看去。然后去等等等,等到安装完成。

WDCP V3.2安装完毕

稍微安装的时间有点长,这一点WDCP应该要注意,得分节点让用户下载,以前甚至有用户提到有些VPS还下载不到源软件包。

第二、体验WDCP V3.2版本区别

因为手头上还没有原先版本,所以就凭借记忆登入新版本后台看到基本没有其他区别,大约多了PHP版本管理和SSL证书管理。这里默认没有安装,需要先安装后才可以启动和建站的时候选择。

第三、安装多PHP版本

sh lib/phps.sh 特定的版本

根据官方提供的方法,执行脚本,可以安装5.2.17/5.3.29/5.4.45/5.5.38/5.6.30/7.0.18/7.1.4版本。比如按照7.1.4。

sh lib/phps.sh 7.1.4

没有必要全部安装,可以根据需要选择安装,要不占用资源比较大了。安装后检查是否启动,在添加站点的时候可以有选择哪个版本PHP。

WDCP 安装多PHP版本

对于HTTPS支持就不演示了,根据介绍只要将证书文件已域名格式命令,丢到cert文件夹中,然后会自动匹配。具体有需要的看下官方文档。

总结,从功能上看WDCP这次新版本增加了SSL和PHP多版本共存的问题,适合部分需要特定PHP版本需求的项目。

本文固定链接: https://www.laozuo.org/10627.html | 老左笔记


声明:我们不销售主机,选主机需合法使用,信息以实际为准。


关注公众号『站长事儿』

获取更多站长圈的新鲜事儿!
有您,有我,还有大家!

注意:任何主机需定期备份,防止数据丢失。主机需合法使用,信息以实际为准,评测不代表权威。
该日志由 老左 于2017年05月12日发表在 主机教程 分类下, 通告目前不可用,你可以至底部留下评论。
原创文章转载请注明: 体验WDCP V3.2版本支持多PHP版本共存和SSL功能设置